/*
 * Unix client.c --- where the unix specific parts of the kludge
 * client live.
 */

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#include "gss-client.h"

extern FILE *display_file;

static void usage()
{
     fprintf(stderr, "Usage: gss-client [-port port] [-d] host service\n");
     exit(1);
}

int main(argc, argv)
     int argc;
     char **argv;
{
     char *service_name, *server_host;
     char *username, *password, *errstring;
     int retval;
     unsigned short port = 17007;
     
     display_file = stdout;

     /* Parse arguments. */
     argc--; argv++;
     while (argc) {
	  if (strcmp(*argv, "-port") == 0) {
	       argc--; argv++;
	       if (!argc) usage();
	       port = atoi(*argv);
	  } else 
	       break;
	  argc--; argv++;
     }
     if (argc != 2)
	  usage();

     server_host = *argv++;
     service_name = *argv++;

     retval = call_kludge_server(server_host, port, service_name,
				 &username, &password, &errstring);
     if (retval || errstring) {
	     printf("kludge server failed: error %d\n", retval);
	     if (errstring)
		     printf("Returned string: %s\n", errstring);
	     exit(1);
     }

     printf("Username='%s', password='%s'\n", username, password);
	
     return 0;
}

